package com.mortals.xhx.module.yth.model;

import java.util.Date;
import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:YthWarrntset
* date: 2021-9-7 10:49:11
*/
public class YthWarrntsetEntity extends BaseEntityLong{
    private static final long serialVersionUID = 1630982951558L;


    /**
    * 事项id
    */
    private Long matterid;

    /**
    * 名称
    */
    private String lawName;

    /**
    * 种类 1 法律 2 行政法规 3 规定 4 地方性法规 5 部门规章 6 行政法规7 其他 8 政府规章
    */
    private Integer lawType;

    /**
    * 文号
    */
    private String referenceNum;

    /**
    * 条款
    */
    private String clause;

    /**
    * 内容
    */
    private String clauseContent;

    /**
    * 排序
    */
    private Integer sort;

    /**
    * 创建时间
    */
    private Date createTime;

    /**
    * 创建用户
    */
    private String createUser;

    public YthWarrntsetEntity(){

    }
    /**
    * 获取 事项id
    * @return matterid
    */
    public Long getMatterid() {
        return this.matterid;
    }
    /**
    * 设置 事项id
    * @param matterid
    */
    public void setMatterid(Long matterid) {
        this.matterid = matterid;
    }
    /**
    * 获取 名称
    * @return lawName
    */
    public String getLawName() {
        return this.lawName;
    }
    /**
    * 设置 名称
    * @param lawName
    */
    public void setLawName(String lawName) {
        this.lawName = lawName;
    }
    /**
    * 获取 种类 1 法律 2 行政法规 3 规定 4 地方性法规 5 部门规章 6 行政法规7 其他 8 政府规章
    * @return lawType
    */
    public Integer getLawType() {
        return this.lawType;
    }
    /**
    * 设置 种类 1 法律 2 行政法规 3 规定 4 地方性法规 5 部门规章 6 行政法规7 其他 8 政府规章
    * @param lawType
    */
    public void setLawType(Integer lawType) {
        this.lawType = lawType;
    }
    /**
    * 获取 文号
    * @return referenceNum
    */
    public String getReferenceNum() {
        return this.referenceNum;
    }
    /**
    * 设置 文号
    * @param referenceNum
    */
    public void setReferenceNum(String referenceNum) {
        this.referenceNum = referenceNum;
    }
    /**
    * 获取 条款
    * @return clause
    */
    public String getClause() {
        return this.clause;
    }
    /**
    * 设置 条款
    * @param clause
    */
    public void setClause(String clause) {
        this.clause = clause;
    }
    /**
    * 获取 内容
    * @return clauseContent
    */
    public String getClauseContent() {
        return this.clauseContent;
    }
    /**
    * 设置 内容
    * @param clauseContent
    */
    public void setClauseContent(String clauseContent) {
        this.clauseContent = clauseContent;
    }
    /**
    * 获取 排序
    * @return sort
    */
    public Integer getSort() {
        return this.sort;
    }
    /**
    * 设置 排序
    * @param sort
    */
    public void setSort(Integer sort) {
        this.sort = sort;
    }
    /**
    * 获取 创建时间
    * @return createTime
    */
    public Date getCreateTime() {
        return this.createTime;
    }
    /**
    * 设置 创建时间
    * @param createTime
    */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    /**
    * 获取 创建用户
    * @return createUser
    */
    public String getCreateUser() {
        return this.createUser;
    }
    /**
    * 设置 创建用户
    * @param createUser
    */
    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof YthWarrntsetEntity) {
            YthWarrntsetEntity tmp = (YthWarrntsetEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",matterid:").append(getMatterid())
                .append(",lawName:").append(getLawName())
                .append(",lawType:").append(getLawType())
                .append(",referenceNum:").append(getReferenceNum())
                .append(",clause:").append(getClause())
                .append(",clauseContent:").append(getClauseContent())
                .append(",sort:").append(getSort())
                .append(",createTime:").append(getCreateTime())
                .append(",createUser:").append(getCreateUser())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.matterid = null;

         this.lawName = null;

         this.lawType = null;

         this.referenceNum = null;

         this.clause = null;

         this.clauseContent = null;

         this.sort = null;

         this.createTime = null;

         this.createUser = null;

    }
}